Package ru.bitel.oss.systems.inventory.service.common.service

# Interface ServiceService

public interface ServiceService

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `serviceDelete(int contractId, int id)`
  `void`
  `serviceDeleteByProduct(int contractId, int productId)`
  `List<Service>`
  `serviceList(int contractId, int productId)`
  `void`
  `serviceSpecDelete(int id)`
  `ServiceSpec`
  `serviceSpecGet(int id)`
  `List<ServiceSpec>`
  `serviceSpecList(Integer moduleId, Date dateFrom, Date dateTo, String title)`
  `void`
  `serviceSpecMove(int id, Set<Integer> ids)`
  `ServiceSpec`
  `serviceSpecTree(Integer moduleId, Date dateFrom, Date dateTo, String title)`
  `int`
  `serviceSpecUpdate(ServiceSpec serviceSpec)`
  `int`
  `serviceUpdate(Service service)`

- ## Method Details

  - ### serviceSpecList

    List<ServiceSpec> serviceSpecList(Integer moduleId, Date dateFrom, Date dateTo, String title) throws Exception
    Throws:
      `Exception`

  - ### serviceSpecTree

    ServiceSpec serviceSpecTree(Integer moduleId, Date dateFrom, Date dateTo, String title) throws Exception
    Throws:
      `Exception`

  - ### serviceSpecGet

    ServiceSpec serviceSpecGet(int id) throws Exception
    Throws:
      `Exception`

  - ### serviceSpecUpdate

    int serviceSpecUpdate(ServiceSpec serviceSpec) throws Exception
    Throws:
      `Exception`

  - ### serviceSpecDelete

    void serviceSpecDelete(int id) throws Exception
    Throws:
      `Exception`

  - ### serviceSpecMove

    void serviceSpecMove(int id, Set<Integer> ids) throws Exception
    Throws:
      `Exception`

  - ### serviceList

    List<Service> serviceList(int contractId, int productId) throws Exception
    Throws:
      `Exception`

  - ### serviceUpdate

    int serviceUpdate(Service service) throws Exception
    Throws:
      `Exception`

  - ### serviceDelete

    void serviceDelete(int contractId, int id) throws Exception
    Throws:
      `Exception`

  - ### serviceDeleteByProduct

    void serviceDeleteByProduct(int contractId, int productId) throws Exception
    Throws:
      `Exception`